#! /usr/bin/python
from distutils.core import setup
from glob import glob
import py2exe

# to install type:
# python setup.py install --root=/

setup (name='ArabicWordSlider', version='0.5',
      description='ArabicWordSlider Game',
      author='Taha Zerrouki',
      author_email='taha.zerrouki@gmail.com',
      url='http://arabicwordslide.sf.net/',
      license='GPL',
	 console = [
        {
            "script": "WordSlider.py",
            "icon_resources": [(1, "images/favicon.ico")]
        }
    ],
	 windows = [
        {
            "script": "WordSlider.py",
            "icon_resources": [(1, "images/favicon.ico")]
        }
    ],

      #scripts=['Qutrub'],
      classifiers=[
          'Development Status :: 5 - Beta',
          'Intended Audience :: End Users/Desktop',
          'Operating System :: OS independent',
          'Programming Language :: Python',
          ],
      data_files=[
	  ('images',
	   [    './images/background.png',
		'./images/favicon.ico',
		'./images/how_to_play.png',
		'./images/ARABICWORDSLIDER.JPG',
		'./images/arabicwordslider.png',
		  ]
	  ),
	  ('images/found',
	   [    
		'images/found/heh.png',
		'images/found/tah.png',
		'images/found/teh_marbuta.png',
		'images/found/ghain.png',
		'images/found/teh.png',
		'images/found/theh.png',
		'images/found/waw.png',
		'images/found/yeh.png',
		'images/found/zah.png',
		'images/found/zai.png',
		'images/found/ain.png',
		'images/found/alef.png',
		'images/found/alef_hamza.png',
		'images/found/alef_madda.png',
		'images/found/alef_maksura.png',
		'images/found/beh.png',
		'images/found/dad.png',
		'images/found/dal.png',
		'images/found/dhal.png',
		'images/found/feh.png',
		'images/found/hah.png',
		'images/found/hamza.png',
		'images/found/hamza_waw.png',
		'images/found/jeem.png',
		'images/found/kaf.png',
		'images/found/Khah.png',
		'images/found/lam.png',
		'images/found/meem.png',
		'images/found/noon.png',
		'images/found/qaf.png',
		'images/found/rah.png',
		'images/found/sad.png',
		'images/found/seen.png',
		'images/found/sheen.png',
		'images/found/star.png',
		'images/found/hamza_yeh.png',

	   
		  ]
	  ),	  
	  ('images/letters',
	   [    
		'images/letters/heh.png',
		'images/letters/tah.png',
		'images/letters/teh_marbuta.png',
		'images/letters/ghain.png',
		'images/letters/teh.png',
		'images/letters/theh.png',
		'images/letters/waw.png',
		'images/letters/yeh.png',
		'images/letters/zah.png',
		'images/letters/zai.png',
		'images/letters/ain.png',
		'images/letters/alef.png',
		'images/letters/alef_hamza.png',
		'images/letters/alef_madda.png',
		'images/letters/alef_maksura.png',
		'images/letters/beh.png',
		'images/letters/dad.png',
		'images/letters/dal.png',
		'images/letters/dhal.png',
		'images/letters/feh.png',
		'images/letters/hah.png',
		'images/letters/hamza.png',
		'images/letters/hamza_waw.png',
		'images/letters/jeem.png',
		'images/letters/kaf.png',
		'images/letters/Khah.png',
		'images/letters/lam.png',
		'images/letters/meem.png',
		'images/letters/noon.png',
		'images/letters/qaf.png',
		'images/letters/rah.png',
		'images/letters/sad.png',
		'images/letters/seen.png',
		'images/letters/sheen.png',
		'images/letters/star.png',
		'images/letters/hamza_yeh.png',
 
		  ]
	  ),	  	  
	  
	  ('fonts',
	   [          './fonts/nrkis.ttf',
          './fonts/ae_Nice.ttf',
          './fonts/ae_AlHor.ttf',
          './fonts/ae_AlArabiya.ttf', 
          './fonts/ae_AlMothnna.ttf',  
		  ]
       ),
	  ('sounds',
	   [          './sounds/bonus.wav',
          './sounds/buzzer.wav',
          './sounds/dink.wav',
          './sounds/error.wav', 
          './sounds/tock.wav',  
          './sounds/wah.wav',  		  
		  ]
       ),
	  ('wordlists',
	   [          './wordlists/simple.txt',
          './wordlists/arabic.txt',
		  ]
       ),	   
   
	] # end data files   
);

